/* tslint:disable */
/**
 * This file was automatically generated by json-schema-to-typescript.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source JSONSchema file,
 * and run json-schema-to-typescript to regenerate this file.
 */

export type Dev = "dev";
export type Release = "release";
export type DistributedDbVersion$Name = string;
/**
 * A version number for the distributed DB protocol
 */
export type DistributedDbVersion = number;
/**
 * A version number for the p2p layer.
 */
export type P2PVersion = number;
export type None = null;

export interface TezosVersion {
  version: {
    major: number;
    minor: number;
    additional_info: Dev | RC | Release;
  };
  network_version: NetworkVersion;
  commit_info: Some | None;
}
export interface RC {
  rc: number;
}
/**
 * A version number for the network protocol (includes distributed DB version and p2p version)
 */
export interface NetworkVersion {
  chain_name: DistributedDbVersion$Name;
  distributed_db_version: DistributedDbVersion;
  p2p_version: P2PVersion;
}
export interface Some {
  commit_hash: DistributedDbVersion$Name;
  commit_date: DistributedDbVersion$Name;
}
